Package de.willuhn.jameica.hbci.server.hbci.rewriter

# Interface UmsatzRewriter

All Known Implementing Classes:
  `DeutscheBankUmsatzRewriter`, `NetbankUmsatzRewriter`

public interface UmsatzRewriter
Rewriter fuer einen Umsatz. Einige Banken liefern die Umsaetze unstrukturiert. Hier koennen die Felder Gegenkonto/BLZ/Name usw. nicht erkannt werden. Hibiscus schreibt sie daher in den Verwendungszweck. Durch Implementierung des UmsatzRewriter-Interfaces koennen Bank-spezifische Spezialparser fuer die Umsaetze geschrieben werden. Implementierungen dieses Interfaces muessen einen parameterlosen Konstruktor mit public-Modifier oder gar keinen (Default)-Konstruktor besitzen (Bean-Spezifikation).

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getBlzList()`
Liefert die Liste der BLZ, fuer die der Rewriter zustaendig ist.
`void`
`rewrite(Umsatz u)`
Schreibt den Umsatz um.

## Method Details

### getBlzList

List<String> getBlzList()
Liefert die Liste der BLZ, fuer die der Rewriter zustaendig ist.

Returns:
  Liste der BLZS.

### rewrite

void rewrite(Umsatz u) throws Exception
Schreibt den Umsatz um.

Parameters:
  `u` - der zu umschreibende Umsatz.
Throws:
  `Exception`